nom: 'ChorusPro par CSV'
type: PortailFacture
description: "Connecteur pour le portail facture Chorus Pro.\nPermet la récupération et la synchronisation de factures (sans traitement) pour plusieurs structures et suivant plusieurs critères (ex: fournisseurs)."
restriction_pack:
    - pack_chorus_pro
formulaire:
    page0:
        url_piste_get_token:
            name: 'URL du service PISTE token'
            commentaire: 'https://sandbox-oauth.aife.economie.gouv.fr/api/oauth/token, https://oauth.aife.economie.gouv.fr/api/oauth/token. Si non renseigné, utilise la propriété globale'
        client_id:
            name: 'Identifiant Oauth Client ID'
            commentaire: 'Si non renseigné, utilise la propriété globale'
        client_secret:
            name: 'Identifiant Oauth Client Secret'
            type: password
            commentaire: 'Si non renseigné, utilise la propriété globale'
        url_piste_api:
            name: 'URL du service PISTE api'
            commentaire: 'https://sandbox-api.aife.economie.gouv.fr/, https://api.aife.economie.gouv.fr/. Si non renseigné, utilise la propriété globale'
        user_login:
            name: "Login de l'utilisateur"
            no-show: true
        user_password:
            type: password
            name: "Mot de passe de l'utilisateur"
            no-show: true
        identifiant_structure_cpp:
            name: 'Identifiant CPP de la structure'
            no-show: true
        depose_depuis_nb_jours:
            name: 'Factures ayant changé de statut depuis les X derniers jours'
            commentaire: 'Récupération depuis les 30 derniers jours si non renseigné'
            default: 30
        fichier_csv:
            name: 'Fichier CSV'
            commentaire: 'Les lignes sont formatés de la manière suivante "utilisateur technique";"mot de passe";"SIRET de la structure (optionel)";"SIRET du fournisseur (optionel)"'
            type: file
        fichier_csv_interprete:
            name: 'Fichier CSV interprété'
            commentaire: 'Les lignes sont formatés de la manière suivante "utilisateur technique";"mot de passe";"SIRET de la structure";"Identifiant Chorus de la structure";"SIRET du fournisseur";"Identifiant Chorus du fournisseur"'
            type: file
action:
    interprete-csv:
        name: 'Interpréter le fichier CSV'
        action-class: ChorusParCSVInterpreteCSV
    list-facture:
        name: 'Lister les factures disponibles'
        action-class: ChorusParCSVListeFacture
    import-facture-par-csv:
        name: 'Récupérer et synchroniser les factures'
        action-class: ChorusParCSVImporterFacture
        action-automatique: import-facture-par-csv
